rdma-core (61.0-2ubuntu3) resolute; urgency=medium

  * d/p/providers-mana-no-check-cqid.patch: Patching from upstream's
    commit for providers/mana: do not check cqid on creation
    (LP: #2140324).

 -- Miriam España Acebal <miriam.espana@canonical.com>  Wed, 04 Feb 2026 12:56:19 +0100

rdma-core (61.0-2ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 21:54:05 +0000

rdma-core (61.0-2ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Use pre-generated man pages on i386 (missing pandoc).

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 15 Jan 2026 17:04:49 +0100

rdma-core (61.0-2) unstable; urgency=medium

  * Exclude ionic on architectures without coherent DMA

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 14 Jan 2026 15:47:03 +0100

rdma-core (61.0-1) unstable; urgency=medium

  * New upstream release.
  * drop patches applied upstream
  * Add libionic1 to ibverbs-providers lintian-overrides
  * Add ${python3:Depends} to rdma-core for rdma_topo
  * Replace old FSF postal address by URL
  * Drop Rules-Requires-Root
  * Drop explicit priority optional
  * Bump Standards-Version to 4.7.3
  * Use dh_auto_build and dh_auto_install to set correct umask
  * Fix FTCBFS: (Closes: #1123693)
    + Multiarchify Python Build-Depends.
    + Request a native cython3.
    + Use the host's sysconfigdata.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 14 Jan 2026 13:17:21 +0100

rdma-core (56.1-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use pre-generated man pages on i386 (missing pandoc).

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 02 May 2025 12:07:44 +0200

rdma-core (56.1-1) unstable; urgency=medium

  * New upstream bug-fix release
  * Drop patches applied upstream

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 14 Apr 2025 12:41:06 +0200

rdma-core (56.0-4ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use pre-generated man pages on i386 (missing pandoc).

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 03 Apr 2025 10:32:39 +0200

rdma-core (56.0-4) unstable; urgency=medium

  * Cherry-pick upstream patch for providers/mana: improve synchronization
    on the shadow queue (LP: #2105922)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 02 Apr 2025 12:55:04 +0200

rdma-core (56.0-3ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use pre-generated man pages on i386 (missing pandoc).

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 21 Mar 2025 10:40:28 +0100

rdma-core (56.0-3) unstable; urgency=medium

  * libibumad: Fix iteration index for switches (Closes: #1100343)
  * Bump Standards-Version to 4.7.2

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 20 Mar 2025 11:33:51 +0100

rdma-core (56.0-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use pre-generated man pages on i386 (missing pandoc).

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 24 Feb 2025 19:30:31 +0100

rdma-core (56.0-2) unstable; urgency=medium

  * Cherry-pick upstream patches:
    - providers/mana: fixes + error CQEs
    - providers/mana: Add dma-buf support

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 24 Feb 2025 18:17:24 +0100

rdma-core (56.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use pre-generated man pages on i386 (missing pandoc).

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 06 Feb 2025 20:17:28 +0100

rdma-core (56.0-1) unstable; urgency=medium

  * New upstream release.
  * Update library symbols
  * Update year in copyright

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 06 Feb 2025 20:12:10 +0100

rdma-core (55.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use pre-generated man pages on i386 (missing pandoc).

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 21 Jan 2025 12:58:24 +0100

rdma-core (55.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0
  * Update library symbols

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 21 Jan 2025 12:50:59 +0100

rdma-core (52.0-2ubuntu1) oracular; urgency=medium

  * Use pre-generated man pages on i386 (missing pandoc).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Aug 2024 14:57:17 +0200

rdma-core (52.0-2) unstable; urgency=medium

  * Exclude hns provider on archs without coherent DMA (Closes: #1073050)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 27 Jun 2024 13:49:34 +0200

rdma-core (52.0-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 03 Jun 2024 11:07:43 +0200

rdma-core (50.0-2) unstable; urgency=medium

  * Rename libraries for 64-bit time_t transition (Closes: #1064313)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 29 Feb 2024 03:11:46 +0100

rdma-core (50.0-1) unstable; urgency=medium

  * New upstream release.
    - support cython 3.0.x (Closes: #1056882)
    - add support for loongarch64 (Closes: #1059022)
  * Replace obsolete pkg-config by pkgconf
  * Update years in debian/copyright
  * Use unversioned library names in package description
  * Installs udev/systemd files below /usr/lib (Closes: #1059188)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 26 Feb 2024 17:41:04 +0100

rdma-core (48.0-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 23 Oct 2023 18:40:29 +0200

rdma-core (47.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete versioned dependency on lsb-base

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 07 Aug 2023 11:26:40 +0200

rdma-core (44.0-2) unstable; urgency=medium

  * debian: Add 32-bit MIPS architectures to COHERENT_DMA_ARCHS and
    inverse the list to NON_COHERENT_DMA_ARCHS (Closes: #1026088)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 10 Jan 2023 13:59:10 +0100

rdma-core (44.0-1) unstable; urgency=medium

  * New upstream release.
    - Add Microsoft Azure Network Adapter (MANA) RDMA provider
    - util: mmio: fix build on MIPS with binutils >= 2.35
  * Add 64-bit MIPS architectures to COHERENT_DMA_ARCHS (Closes: #1026088)
  * debian/watch: Query api.github.com for release tarballs

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 03 Jan 2023 17:29:32 +0100

rdma-core (43.0-1) unstable; urgency=medium

  * New upstream release.
    - Install 70-persistent-ipoib.rules into docs instead of /etc
      (Closes: #958385)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 24 Oct 2022 18:21:42 +0200

rdma-core (42.0-1) unstable; urgency=medium

  * New upstream release.
  * Update overrides for lintian 2.115.2
  * Bump Standards-Version to 4.6.1

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 18 Aug 2022 15:24:14 +0200

rdma-core (40.0-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * New upstream release.
  * Update my email address to @ubuntu.com

  [ Heinrich Schuchardt ]
  * Add riscv64 to COHERENT_DMA_ARCHS

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 16 May 2022 13:55:12 +0200

rdma-core (39.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove i40iw provider conffile (Closes: #1000562)
  * Update overrides for lintian 2.114
  * Override obsolete-command-in-modprobe.d-file lintian error
  * Override spare-manual-page lintian complaint

 -- Benjamin Drung <benjamin.drung@ionos.com>  Thu, 27 Jan 2022 19:57:04 +0100

rdma-core (38.0-1) unstable; urgency=medium

  * New upstream release.
  * debian: Add __verbs_log to private libibverbs symbols

 -- Benjamin Drung <benjamin.drung@ionos.com>  Fri, 19 Nov 2021 17:57:18 +0100

rdma-core (36.0-2) unstable; urgency=medium

  * Revert installing systemd services in /usr/lib/systemd/system.
    See #994388 for more details. (Closes: #997727)

 -- Benjamin Drung <benjamin.drung@ionos.com>  Tue, 09 Nov 2021 11:13:56 +0100

rdma-core (36.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0
  * Install systemd services in /usr/lib/systemd/system
  * Mark libraries as Multi-Arch: same

 -- Benjamin Drung <benjamin.drung@ionos.com>  Mon, 13 Sep 2021 14:09:01 +0200

rdma-core (33.2-1) unstable; urgency=medium

  * New upstream bug-fix release:
    - libhns: Fix wrong range of a mask
    - verbs: Fix attr_optional() when 'IOCTL_MODE=write' is used
    - mlx4: Fix mlx4_read_clock returned errno value
    - efa: Fix use of uninitialized query device response
    - libhns: Avoid accessing NULL pointer when locking/unlocking CQ
    - mlx5: Fix mlx5_read_clock returned errno value
    - bnxt_re/lib: Check AH handler validity before use
    - iwpmd: Check returned value of parse_iwpm_msg
    - libhns: Bugfix for calculation of extended sge

 -- Benjamin Drung <benjamin.drung@ionos.com>  Thu, 03 Jun 2021 11:19:24 +0200

rdma-core (33.1+git20210317-1) unstable; urgency=medium

  * New upstream bug-fix snapshot:
    - mlx5: Fix uuars to have the 'uar_mmap_offset' data
    - pyverbs: Fix Mlx5 QP constructor
    - efa: Fix DV extension clear check
    - verbs: Fix possible port loop overflow
    - ibacm: Fix possible port loop overflow
    - mlx5: DR, Check new cap for isolated VL TC QP
    - kernel-boot: Fix VF lookup
    - mlx5: DR, Force QP drain on table creation
    - libhns: Avoid double release of a pointer
    - libhns: Correct definition of DB_BYTE_4_TAG_M
    - libhns: Remove assert to check whether a pointer is NULL
    - libhns: Remove the unnecessary mask on QPN of CQE
    - libhns: Remove unnecessary mask of ownerbit
    - libhns: Remove unnecessary barrier when poll cq
    - rdma-ndd: fix udev racy issue for system with multiple InfiniBand HCAs
    - verbs: Fix create CQ comp_mask check
  * Update my email address

 -- Benjamin Drung <benjamin.drung@ionos.com>  Mon, 12 Apr 2021 11:28:57 +0200

rdma-core (33.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Wed, 27 Jan 2021 14:32:48 +0100

rdma-core (33.0-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 04 Jan 2021 16:41:27 +0100

rdma-core (32.0-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Fri, 30 Oct 2020 10:01:11 +0100

rdma-core (31.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper 13

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Wed, 19 Aug 2020 09:36:17 +0200

rdma-core (29.0-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 14 Apr 2020 16:15:54 +0200

rdma-core (28.0-1) unstable; urgency=medium

  * New upstream release.
    - rxe: Remove rxe_cfg
  * Bump Standards-Version to 4.5.0

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Wed, 12 Feb 2020 17:21:38 +0100

rdma-core (27.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Benjamin Drung ]
  * debian: Remove obsolete ibverbs-providers conffiles (Closes: #947307)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 06 Jan 2020 13:23:44 +0100

rdma-core (27.0-1) unstable; urgency=medium

  * New upstream release
    - libcxgb3: Remove libcxgb3 from rdma-core
    - libnes: Remove libnes from rdma-core
  * Add missing build dependency dh-python

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 23 Dec 2019 13:22:46 +0100

rdma-core (26.0-2) unstable; urgency=medium

  * Improve/extent description of python3-pyverbs
  * Bump Standards-Version to 4.4.1 (no changes required)
  * Add Rules-Requires-Root: no

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 29 Oct 2019 13:22:15 +0100

rdma-core (26.0-1) unstable; urgency=medium

  * New upstream release.
    - Include infiniband-diags source package producing infiniband-diags,
      libibmad5, libibmad-dev, libibnetdisc5, and libibnetdisc-dev.
  * Update private libibverbs symbols
  * Specify Build-Depends-Package for libibmad5 and libibnetdisc5

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 24 Oct 2019 11:27:45 +0200

rdma-core (24.0-2) unstable; urgency=medium

  * Skip installing efa if the architecture lacks coherent DMA support

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 11 Jul 2019 12:34:23 +0200

rdma-core (24.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop pyverbs-Add-shebang-to-ib_devices.py-example.patch (applied upstream)
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * Switch to debhelper 12
  * Add Pre-Depends on ${misc:Pre-Depends}
  * Drop debug symbol migration

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Wed, 10 Jul 2019 12:39:27 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libibverbs1`.
